Package com.xebialabs.xlrelease.utils

## Class FolderId

- java.lang.Object
- - com.xebialabs.xlrelease.utils.FolderId

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class FolderId
      extends java.lang.Object
      implements scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FolderId​(java.lang.String anyPath)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FolderId` | `$div​(java.lang.String childId)` |
    `java.lang.String` | `absolute()` |
    `FolderId` | `add​(java.lang.String childId)` |
    `java.lang.String` | `anyPath()` |
    `static FolderId` | `apply​(java.lang.String anyPath)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `FolderId` | `copy​(java.lang.String anyPath)` |
    `java.lang.String` | `copy$default$1()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `java.lang.String[]` | `getPath()` |
    `int` | `hashCode()` |
    `java.lang.String` | `id()` |
    `boolean` | `isEmpty()` |
    `FolderId` | `parent()` |
    `java.lang.String` | `path()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `static FolderId` | `Root()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<java.lang.String>` | `unapply​(FolderId x$0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

- - ### Constructor Detail

    - #### FolderId

          public FolderId​(java.lang.String anyPath)

  - ### Method Detail

    - #### Root

          public static FolderId Root()

    - #### apply

          public static FolderId apply​(java.lang.String anyPath)

    - #### unapply

          public static scala.Option<java.lang.String> unapply​(FolderId x$0)

    - #### anyPath

          public java.lang.String anyPath()

    - #### path

          public java.lang.String path()

    - #### absolute

          public java.lang.String absolute()

    - #### id

          public java.lang.String id()

    - #### parent

          public FolderId parent()

    - #### isEmpty

          public boolean isEmpty()

    - #### add

          public FolderId add​(java.lang.String childId)

    - #### $div

          public FolderId $div​(java.lang.String childId)

    - #### getPath

          public java.lang.String[] getPath()

    - #### copy

          public FolderId copy​(java.lang.String anyPath)

    - #### copy$default$1

          public java.lang.String copy$default$1()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`